<template lang="pug">
footer.relative.footer.footer-center.text-base-content
  .border-t.border-white.w-full.p-4.pt-8.u-bg-white.u-border-gray-200(
    class="md:place-self-center md:justify-self-end"
  )
    .absolute.inset-x-0.flex.items-center.justify-center.-top-3
      .relative.flex.justify-center.h-10.w-14
        .absolute.w-full.h-full.inset-0.u-bg-white.rounded-full(
          class="-top-[2px] blur-[6px]"
        )
        img.relative.w-6.h-6.u-text-gray-200(
          src="/favicon.png",
          alt="favicon logo devnet"
        )
    .grid.grid-flow-col.gap-4
      nuxt-link.flex.items-center.space-x-1(
        to="https://gitlab.com/devnet.kz",
        target="_blank"
      )
        icon.w-4.h-4(name="logos:gitlab") 
        span.hidden(class="md:inline") {{ $t('label.gitlab') }}

      nuxt-link.flex.items-center.space-x-1(
        to="https://github.com/devnet-kz",
        target="_blank"
      )
        icon.w-4.h-4(name="logos:github-octocat") 
        span.hidden(class="md:inline") {{ $t('label.github') }}

      nuxt-link.flex.items-center.space-x-1(
        to="https://hub.docker.com/u/devnetkz",
        target="_blank"
      )
        icon.w-4.h-4(name="logos:docker-icon") 
        span.hidden(class="md:inline") {{ $t('label.docker') }}

      nuxt-link.flex.items-center.space-x-1(
        to="https://t.me/devnetkz",
        target="_blank"
      )
        icon.w-4.h-4(name="logos:telegram") 
        span.hidden(class="md:inline") {{ $t('label.telegram') }}

      nuxt-link.flex.items-center.space-x-1(
        to="https://www.youtube.com/channel/UCJUCZZGqQddi23JYbl5OftA/featured",
        target="_blank"
      )
        icon.w-4.h-4(name="logos:youtube-icon") 
        span.hidden(class="md:inline") {{ $t('label.youtube') }}

      nuxt-link.flex.items-center.space-x-1(
        to="https://www.facebook.com/devnet.kz",
        target="_blank"
      )
        icon.w-4.h-4(name="logos:facebook") 
        span.hidden(class="md:inline") {{ $t('label.facebook') }}

    .grid.gird-flow-col.gap-4.mt-2
      nuxt-link.flex.items-center.space-x-1(
        to="https://patreon.com/yerlen",
        target="_blank"
      )
        icon.w-4.h-4(name="logos:patreon") 
        span {{ $t('label.patreon') }}

      nuxt-link.flex.items-center.space-x-1(
        to="https://www.buymeacoffee.com/teamxg",
        target="_blank"
      )
        LogoBuyMeACoffee 
        span {{ $t('label.buymeacoffee') }}
    nuxt-link.flex.items-center.space-x-1.mt-2(to="/about")
      icon.w-4.h-4(name="ic:baseline-copyright")
      span {{ new Date().getFullYear() }} {{ $t('layouts.footer.copyright') }}
</template>

<script setup lang="ts">
import LogoBuyMeACoffee from '~/assets/icons/logo-buymeacoffee.svg?component'
</script>

<style lang="scss">
.u-bg-white {
  --tw-bg-opacity: 1;

  background-color: #fff;
  background-color: rgb(255 255 255 / var(--tw-bg-opacity));
}

.u-border-gray-200 {
  --tw-border-opacity: 1;

  border-color: #e4e4e7;
  border-color: rgb(228 228 231 / var(--tw-border-opacity));
}

html.dark {
  .u-bg-white {
    --tw-bg-opacity: 1;

    background-color: #0c0c0d;
    background-color: rgb(12 12 13 / var(--tw-bg-opacity));
  }

  .u-border-gray-200 {
    --tw-border-opacity: 1;

    border-color: #27272a;
    border-color: rgb(39 39 42 / var(--tw-border-opacity));
  }
}
</style>
